#ifndef TEST_PORT_H
#define TEST_PORT_H

#include <QObject>
#include <QTcpSocket>

class test_port : public QObject
{
Q_OBJECT
public:
    explicit test_port(QObject *parent = 0);
    void run_test(const QString & ip, quint16 port);

    // send result and autodestruct
    void end();

signals:
    void result(const QString & ip, quint16 port, bool result);

public slots:
    void on_tcp_error(QAbstractSocket::SocketError);
    void on_tcp_connected();

private:
    QString ip_;
    quint16 port_;
    QTcpSocket sock_;
    bool result_;
};

#endif // TEST_PORT_H
